<template functional>
  <button
    :ref="data.ref"
    data-cid="{ BhFilterButtonUi }"
    type="button"
    class="[ bh-filter-button-ui ][ relative inline-flex items-center ][ px-2 py-2 border ][ text-sm leading-5 font-medium ][ focus:z-10 focus:outline-none ][ transition ease-in-out duration-150 ]"
    :class="[data.staticClass, data.class]"
    :style="[data.staticStyle, data.style]"
    :data-state="props.active ? 'active' : 'disabled'"
    :data-inverted="props.inverted"
    v-bind="data.attrs"
    v-on="listeners"
  >
    <slot />
  </button>
</template>

<script>
export default {
  name: 'BhFilterButtonUi',
  props: {
    active: {
      type: Boolean,
      default: true,
    },
    inverted: {
      type: Boolean,
      default: false,
    },
  },
};
</script>

<style lang="postcss" scoped>
.bh-filter-button-ui[data-state='disabled'] {
  @apply border-gray-300 bg-gray-50 text-gray-300 cursor-default;
}
.bh-filter-button-ui[data-state='active'] {
  @apply border-gray-500 bg-gray-50 text-gray-900;
}
.bh-filter-button-ui[data-state='active']:hover {
  @apply text-gray-500;
}
.bh-filter-button-ui[data-inverted] {
  @apply border-gray-500 bg-gray-500 text-gray-50;
}
.bh-filter-button-ui[data-inverted]:hover {
  @apply text-gray-50;
}
</style>
